body{
	width:99% !important;
	overflow-x: hidden !important;
}
#navbar,#header,#content,#agGrid{
	width:100% !important;
} 

#navfooter {
	width:100% !important;
	padding-left: 19px !important;
	padding-right: 19px !important;
}
#footer{
	width:100% !important;
}

.table {
    width: 100%
}

.table tr td {
    padding: 5px;
}

.top-table {
    background: #cdd7e1;
    padding: 15px 0px;
    font-size: 11px;
}

.top-table tr td select {
    min-width: 120px;
    padding: 5px 5px;
    margin-top: 3px;
    border: 1px solid #9ebbd5;
}


.top-table tr td #select1{
    min-width: 20px;
    padding: 3px 8px;
}


.new-rule-table {
    background: #EAEEF2;
    padding: 15px 0px;
    font-size: 11px;
    font-family: Arial, Helvetica, sans-serif;	
}

.new-rule-table tr td select {
    min-width: 160px;
    padding: 5px 5px;
    margin-top: 3px;
    border: 1px solid #9ebbd5;
    height:24.44px !important;
	color: #9ebbd5;
}

.add-input {
    width: 126px;
    padding: 4px 5px;
    margin-top: 3px;
    border: 1px solid #9ebbd5;
	color: #9ebbd5;
}

.edit-RuleNo {
	FONT-SIZE: 12px !important;
    FONT-FAMILY: fantasy !important;
    COLOR: #4e7cb0 !important;
    background-color: #dadadf;
    border:none;
    border-style: groove;
    width: 75px !important;
}

.new-rule-table tr td #select1{
    min-width: 20px;
    padding: 3px 8px;
}

.new-rule-table tr td label{
    display: inline-block;
    clear: left;
    width: 100px;
    float: left;
    margin-top: 9px  
}

.new-rule-table .ms-options-wrap > button {  
    padding: 5px 10px 5px 5px !important;
    height:24.44px !important;
    font-size:11px;
}

.additional-param-bg {
    background: #eaeef2;
    padding: 5px;
}

.add-param-header img {
    float: left;
    width: 18px;
    margin-right: 5px;
}

.add-param-header span {
    float: left;
    font-size: 12px;
    margin-top: 3px;
}

#add-params-table {
    padding: 15px 0px;
    font-size: 12px;
}

#add-params-table-param tr td input , #add-params-table-param tr td textarea{
    width: 120px;
    padding: 3px 8px;
    border: 1px solid #9ebbd5;
    margin-top: 3px;
    height: 16px;
    float: left;
    color:#333;
}

#add-params-table tr td select {
	height:18px;
	border:1px solid #9ebbd5;
	color:#333;
}


#add-params-table1 tr td input {
    width: 100px;
    padding: 3px 8px;
    margin-left: 5px;
    height: 20px;
    float: left;
    border: 1px solid #9ebbd5;
    color: #333;
}

#add-params-table1 tr td span {
    float: left;
    font-size: 10px;
    margin-top: 10px;
    width: 80px;
}

#add-params-table tr td span {
    float: left;
    font-size: 11px;
    margin-top: 0px;
    /*width: 80px*/
}

#search-controls .btn-search ,.action-btn{
    font-size: 12px;
	font-family:Arial, Helvetica, sans-serif;
    background: #4e7cc1;
    color: #fff;
	font-weight:bold;
    padding: 4px 10px;
    border-radius: 5px;
    margin-right: 10px;
    margin-bottom: 10px;
    margin-top: 8px;
    border: 1px solid #70a8da;
    cursor: pointer;
	background: #69a3db; /* Old browsers */
	background: -moz-linear-gradient(top, #69a3db 1%, #468dcc 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top, #69a3db 1%,#468dcc 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom, #69a3db 1%,#468dcc 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#69a3db', endColorstr='#468dcc',GradientType=0 ); /* IE6-9 */
}

#search-controls .add-new-rule {
    font-size: 11px;
    background: #4e7cc1;
    color: #fff;
    padding: 5px;
    border-radius: 5px;    
    border: 1px solid #70a8da;
    cursor: pointer;
	background: #69a3db; /* Old browsers */
	background: -moz-linear-gradient(top, #69a3db 1%, #468dcc 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top, #69a3db 1%,#468dcc 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom, #69a3db 1%,#468dcc 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#69a3db', endColorstr='#468dcc',GradientType=0 ); /* IE6-9 */

}


#search-controls .btn-reset {
    color: #468dcc;
    font-weight: bold;
    text-decoration: none;
    cursor: pointer;
	font-family:Arial, Helvetica, sans-serif;
}

#search-controls {
    float: right;
    margin: 0px 0px 3px;
}

.clear {
    clear: both;
}

.margin {
    padding-bottom: 20px;
}

#price-search {
display: block;
margin: 0px;
float: left;
padding-top: 30px;
color:RGB(165,165,165);
}

.container {
    width: 1170px;
    margin: 0 auto;
}

#add-params-container {
    margin-top: 2px;
    margin-bottom: 20px;
}

.dropbtn {
    background-color: #4CAF50;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    right: 0;
    background-color: #f9f9f9;
    /*min-width: 126px;*/
	white-space	: nowrap;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    color: white;
    padding: 2px 10px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {

}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropbtn {
    background-color: #3e8e41;
}


 .input-symbol-euro ,.percent-symbol{
     position: relative;
     margin-left: 5px;
     width: 25px;
 }
 
 .input-symbol-euro:before {
     position: absolute;
     top: 0;
     content:"%";
     margin-top: 8px;
 }

 .percent-symbol:before {
     position: absolute;
     top: 0;
     content:"%";
     margin-top: 0px;
 }



/* date picker css*/

#ui-datepicker-div {
    display: none;
}

.ui-datepicker-trigger {
    display: inline;
    padding:0px;
    padding-left:3px;
    vertical-align:baseline;
    position:relative;
}

input.datepicker { 
    font-family: 'FontAwesome'; 
} 

input.datepicker::placeholder {
    text-indent:0px;       
    color: RGB(158,187,213);
}

input.datepicker[placeholder] {
    font-size: 11px;
}


/* Add New Rule Modal */
.new-rule-dialog.ui-dialog{
	padding:0;
    border-radius: 0; 
}
.new-rule-dialog .ui-widget-header{
	background:#4e7cb0;
	border:none;
	border-radius:0;
}
.new-rule-dialog.ui-widget-content{
	border-radius:0;
	background:#FFFFFF;
	margin-top:20px;
}
.new-rule-dialog .ui-icon-closethick{background-position:-80px -128px}
.mandatoty-note{
	float:right;
	font-style:italic;
	font-size:10px;
}
.mandatoty-note span, .mandatory-astrick{
	color:red;
}

#add-params-container .new-rule-row label input{
	/*min-width:137.78px;
    height:2.378em;
    padding: 0px;
    border: 1px solid #9ebbd5*/
    
    min-width: 126px;
    padding: 5px 5px;
    margin-left: 5px;
    height: 20px;
    float: left;
    border: 1px solid #9ebbd5;
    color: #333;
}

#add-params-container .new-rule-row label select{
	min-width:137.78px;
    height:2.378em;
    padding: 0px;
    border: 1px solid #9ebbd5;
    
    /*width: 100px;
    padding: 5px 5px;
    margin-left: 5px;
    height: 20px;
    float: left;
    border: 1px solid #9ebbd5;
    color: #333;*/
}

#add-params-container .new-rule-row  label textarea, #add-params-container .new-rule-row1  label textarea{
	width:85%;
	height:80px;
	border: 1px solid #9ebbd5;
}
.new-rule-dialog .row-title{
	margin-bottom:3px;
}
.new-rule-dialog #search-controls.dialog-footer-controls{
	margin-bottom:0px;
}
.new-rule-dialog #add-params-container{
	margin-bottom:0;	
}
.ui-widget-overlay{
	background:#333 !important;
}
.additional-param-bg.new-rule-row.no-bg{
	background:transparent;
}
/*#add-params-table td{
	width:32% !important;
}*/
#add-params-container .new-rule-row label.spl-dropdown-field select,#add-params-container .new-rule-row1 label.spl-dropdown-field select{
	min-width:30%;
	width:30%;
	display:inline-block;
	float:left;
    border: 1px solid #9ebbd5;
}
.dp-two{
	margin-top:3px;
}

#add-params-container .new-rule-row1 label.spl-dropdown-field select.dd-two{
	margin-left:3px;
}
.createTmplTitle{
	border-bottom:1px solid #ddd;
}
.ui-widget input, .ui-widget select{
	/* height:2.368em;*/
}
/* Add New Rule Modal */

#search-controls.dialog-footer-controls{
	float:none;
	text-align:center;
}

.new-rule-dialog{
    position:absolute;             
    /*top:10px !important;*/
         
}

.dialog-position-top{
	top:10px !important;
}

#add-params-table1 td {
    width: 32% !important;
}

 #add-params-container .new-rule-row1 label input {
    min-width: 52%;
    /* height: 2.378em; */
}

.select {
    min-width: 137.78px;
    height: 2.378em;
    margin-top: 2px;
    border: 1px solid #9ebbd5;
}


.fa-calendar{
    color:#9ebbd5;
    margin-left: -16px;
    margin-top: 10px;
    cursor:pointer;
}
i.fa.fa-calendar.cal-two {
    position: relative;
    top: 21px;
    margin-left:-15px;
}

.fa.fa-plus-circle.add-rule-icon {
    font-size:20px;color:#5f7c9c;
}
.custom-tr td{
    padding:0.5em;
}
.rule-action{
    text-align:center;
}
.row-actions a{
	margin-left:3px;
    margin-right:3px;
}

*::-webkit-input-placeholder {
    color: #9ebbd5;
}
*:-moz-placeholder {
    /* FF 4-18 */
    color: #9ebbd5;
}
*::-moz-placeholder {

    /* FF 19+ */
    color: #9ebbd5;
}
*:-ms-input-placeholder {
    /* IE 10+ */
    color: #9ebbd5;
}

.over-flow{
  width: 95px;
  overflow: hidden;
  white-space: nowrap;
  display: block;
  text-overflow: ellipsis;
  font-size :11px;
}

/*.landing-cal-one{
    position: relative;
    left:-145px;
} */
.landing-cal-add{
position: relative;
    bottom: -30px;
    left: 3px;
}

/*Ag Grid style*/


.agGridContainer{
    display:none;
	
}


.ag-bl-full-height {
    overflow-x: hidden !important;
}

#centerRow {
    height: 695px !important;
    width: 1000;
}
.ag-fresh .ag-header-icon{
    fill:RGB(157,195,230);
    float: right;
}


/* Ag Grid*/



.ng-cloak {
    opacity: 0;
}

.ag-header-cell {
    background-color: #5f7c9c !important;
}

.ag-fresh .ag-header,
.ag-scrolls .ag-header-container,
.ag-header-viewport {
    background: #5f7c9c !important;	
	/*height: 100px !important;*/
	z-index:1;
}

.ag-fresh .ag-header-group-text {
    color: white;
    font-size: 12px;
    font-weight: bold;
}

.ag-fresh .ag-header-cell-label {
    color: white;
    font-size: 12px;
    font-weight: bold;
}

.ag-fresh .ag-header-group-cell-label {
    text-align: center;
}

.ag-fresh .ag-header-group-cell-with-group {
    border-bottom: 1px solid #ffffff;
}

.ag-fresh .ag-header-group-cell {
    border-right: 1px solid #ffffff;
}

.ag-fresh .ag-header-cell {
    border-right: 1px solid #ffffff !important;
    width: 85px;
}

.ag-fresh .ag-root {
    border: 1px solid #d4d4d4;
}

.ag-fresh .ag-ltr .ag-cell-no-focus{
    border-right: 1px dotted #808080 
}
.ag-fresh .ag-cell {
    text-align: left;
}

.ag-fresh.agGridRoot {
    /*min-height: 200px;*/
    width: 99%;
}

.ag-fresh.agGridRoot>div {
    /*min-height: 150px;*/
}

.agDetailGrid .ag-pinned-left-cols-container .ag-row:last-child,
.agDetailGrid .ag-body-container .ag-row:last-child {
    background-color: transparent;
}

.ag-fresh .ag-pinned-left-cols-container .ag-cell {
    text-align: left;
}

.agInputField {
    height: 100%;
    width: calc(100% - 30px);
    float: left;
    text-align: right;
}

.ag-fresh .ag-body {
    font-size: 12px;
    font-weight: 600;
}

.ag-fresh .ag-cell-focus {
/*     outline: none;
    border: 0 !important; */
}

.ag-scrolls .ag-body-container{
    max-height: 110px;
}


.ag-fresh .ag-ltr .ag-header-group-cell, .ag-fresh .ag-header, .ag-fresh .ag-ltr .ag-cell-no-focus, .ag-fresh .ag-ltr .ag-header-group-cell, .ag-fresh .ag-ltr .ag-header-cell{
    border-color:#fff !important;

}

.note-right{
    float:right;
	margin-top:25px;
}
.note-right .fa{
    color: #4e7cc1;
}
.note-right .fa.caret{
    font-size:16px;
    position: relative;
    top: 2px;
}
.note-left{
    float:left;
}
.pp-grid{
    margin-top:5px;
}
.exception-circle{
	background:#f6af91;
	border:1px solid #ed833d;
	width:15px;
	height:15px;
	border-radius:50%;
	font-weight:bold;
	text-align:center;
	margin:0 auto;
	display:inline-block;
}
.delete-circle{
	background:#7f7f7f;
	width:20px;
	color:#ffffff;
	height:17px;
	padding-top:2px;
	border-radius:50%;
	font-weight:bold;
	text-align:center;
	margin:0 auto;
	display:inline-block;
}

.ag-fresh .ag-pinned-left-cols-container .ag-cell .ag-cell-value.ed-cell{
	text-align:center;
}
.hasDatepicker{
	height:23px;
}
.updated-on .ms-options-wrap {
	width:50%;
}
.ag-fresh .ag-row.read-only-row{
	background:#fbe5d6;
}
.ag-fresh .ag-cell{
	padding:5px !important;
}
ul.grid-actions{
	floaT:left;
	margin: 2px 8px 0 0;
	padding:0
}
ul.grid-actions li{
	float:left;
	list-style-type:none;
	color:#2e6ca4;
	display:inline-block;
	margin-left:10px;
}
ul.grid-actions li i{
	font-size:15px;
}

.export-btn .fa-file-excel-o.export-tooltip{
	color: green;
}

ul.grid-actions li:first-child{
	margin-left:0;
}
.ag-fresh .ag-header-icon{
	color:#ffffff !important;
	fill:#ffffff !important;
}

.addParams, .datepicker, .datepicker2 {
    width: 120px;
    padding: 3px 8px;
    border: 1px solid #9ebbd5;
    margin-top: 3px;
    height: 16px;
    float: left;
    color:#9ebbd5;
}

.addParams{
  width: 142px;
}
.check-box{

    transform: scale(1.2);
}

.new-rule-table textarea {
	width:85%;
	height:80px;
	border: 1px solid #9ebbd5;
	color: #9ebbd5;
}

.hide-calendar .ui-datepicker-calendar {
    display: none;
}


/* Export and Print */

.pp-dialog{
	display:none;	
}
.alert{
	padding-left:3px;
	font-family: Arial, Helvetica, sans-serif;
	font-size:12px;
	display: inline;
}
/*
.ui-widget.ui-widget-content{
	margin-top:10%;
}
*/
.custom-tooltip, .arrow:after , .cfilter-content{
    background: #eaeef2;
    border: 2px solid #9ebbd5;
  }
  .custom-tooltip , .cfilter-content {
    padding: 5px;
    font: normal 14px "Helvetica Neue", Sans-Serif;
	
	font-size:12px;
	color:#333;
  }
  
  .cfilter-content {
	  width:140px;
  }
.custom-tooltip  ul{
	padding:0;
	margin:0;
    max-height: 200px;
    display: inline-block;
    overflow-x: hidden;
    overflow-y: auto;
    white-space: nowrap;
}
.custom-tooltip  ul li, .cfilter-content label{
	margin-top:5px;
	text-align:left;
	padding:5px;
	border-top:1px solid #FFFFFF;
}
.cfilter-content label{
	  display:block;
	  margin-top:1px;
	  padding-top:1px;
  }
  .ag-fresh .ag-menu{
	  border:none !important;
	  margin-left: -10px;
      margin-top: 11px;
  }
ul.grid-actions li li{
	margin-left:0;
	padding-left:5px;
	color:#525252;
}

ul.grid-actions li.divider, .divider{
	margin:0;
	padding-left:5px;
	color:#525252;
}
span.divider{
	margin:0 2px;
	font-size:16px;
}


.custom-tooltip  ul li:first-child{
	margin-top:0;
	border-top:none;
}
  .arrow {
    width: 70px;
    height: 16px;
    overflow: hidden;
    position: absolute;
    left: 50%;
    margin-left: -92px;
    bottom: -16px;
  }
  .arrow.top {
    top: -16px;
    bottom: auto;
    left: 83px;
  }
  .arrow.left {
    left: 20%;
  }
  .arrow:after {
    content: "";
    position: absolute;
    left: 20px;
    top: -20px;
    width: 25px;
    height: 25px;
    box-shadow: 6px 5px 9px -9px black;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }
  .arrow.top:after {
    bottom: -20px;
    top: auto;
  }
  .custom-tooltip{
	  display:none;
	  z-index:2;
  }
  .print-btn, .export-btn, .gear-btn{
	  position:relative;
          cursor: pointer;
  }
  .grid-actions .custom-tooltip{
	  position:absolute;
	  left: -20px;
      top: 30px;
  }
  .close-tooltip{
	  float:right;
	  font-weight:100;
	  font-size:12px;
  }
  .ui-dialog .ui-dialog-buttonpane button{
	  height:2em;
  }
  
   #settings-list li{
	  display:block;
	  width:100%;
  }
  
  .ui-widget-header {
   
    color: white;
   
}



.ag-fresh .ag-ltr .ag-header-group-cell.first-header-cell{
	  border-right:none;
  }
  .count-col{
	  text-align:center;
	  color:#FFFFFF;
  }
  .ag-fresh .ag-header-group-cell-with-group.count-header-cell{
	  border-bottom:3px solid #ffffff;
  }
  .fromdt-count{
	  width:49%;
	  display:inline-block;
	  height:100%;
	 text-align:center;
  }
  .fromdt-count:first-child{
	  border-right:1px solid #ffffff;
  }
  
  .margin8{
      margin-top: 8px;
  }
  .reject-head {

 margin-left: auto;
 margin-right: auto;
 width:500px;
 
  }
  
  .reject-table {
 margin-left: auto;
 margin-right: auto;
 border: 1px solid black;
 width:500px;
 
  }
  .reject-trans{
width:500px;
 margin-left: auto;
 margin-right: auto;
  }
  .reject-vary {
  width:500px;
 margin-left: auto;
 margin-right: auto;
 border: 1px solid black;
  }
  
  
  
  /*  AG grid Multi select*/
  
.ag-cell  .ms-options-wrap,.ag-cell  .ms-options-wrap .over-flow{
	width: 100%;
	height: 16px;
    font-size: 11px;
	color: black;
    border-color: #5d5c5c;
}

.ag-cell  .ms-options-wrap > button:after {    
    border: 4px solid rgba(0, 0, 0, 0);
    border-top-color: #696b6d;
    margin-top: -2px;
}

.ag-cell select {
	width: 100%;
    height: 20px;
    font-size: 12px;
}

  .audit-log-dialog table{
	  font-size:12px;
	  width:100%;
	  position:center;
  }
  .audit-log-dialog .ui-widget-header{
    background:#4e7cb0;
    border:none;
    border-radius:0;
   
}

.new-dialog .ui-widget-header{
    background:#4e7cb0;
    border:none;
    border-radius:0;
    color: #FFFFFF !important;
}

.new-dialog .ui-dialog-buttonset .ui-button{
    background: #468dcc;
    color: white;
    
}
.ui-dialog .ui-dialog-buttonpane .ui-dialog-buttonset {
    float: none !important;
    text-align: center !important;
}
  .audit-log-dialog table th, .audit-log-dialog table td{
	  padding:4px 10px;	
	  text-align:left;
  }
   .audit-log-dialog table tr.log-head{
	   background:#4e7cc1;
	   color:#FFFFFF;
   }
   .audit-log-dialog .ui-dialog-buttonpane{
	   text-align:center;
   }
   .audit-log-dialog span{
	   font-weight:bold;
   }

.audit-log-dialog{
	display:none;
}


table.noPadding {
    width: 88%;
    table-layout: fixed;
}

table.noPadding input {
    width: calc(100% - 20px);
}

table.noPadding td {
    padding: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

table#add-params-table-param2 {
    table-layout: fixed;
}

#search-controls label {
    margin-right: 5px;
}

.ag-header-cell.ag-header-cell-filtered {
    background: #9bc2e6 !important;
}


.ag-cell-inline-editing input[type="text"], .ag-cell-inline-editing .hasDatepicker {
    padding-left: 5px;
    width: 90%;
    height: 16px;
    margin-top: 2px;
}

.new-rule-dialog .ui-dialog-buttonset {
	float:none !important;
	text-align: center;
}

.new-rule-dialog  .ui-dialog-buttonset .ui-button{   
	background: #468dcc;    
    color: white;
    height: 25px;
    font-weight: bold;
    border: none;
	font-size: 12px;
	font-family:Arial, Helvetica, sans-serif;
}


.ag-ltr .ag-pinned-left-cols-viewport {
    overflow: visible !important;
}




#bulk-update-content {
	overflow:hidden;
}

.fa.fa-exclamation-triangle{
	color:#fbd782;
	padding-left: 16px;
    padding-top: 17px;
    font-size: 17px;
}

.copy-note{
	color: gray;
    font-size: 12px;
    margin-top: 0px;
    font-style: italic;
    margin-bottom: 16px;
}

select.cap-temp-name {
	width: 160px !important;
    height: 24px !important;
    border: 1px solid #9ebbd5 !important;
    color: #9ebbd5 !important;
}

.margin-top-5{
    margin-top: 5px !important;
}	

/*
table.ui-datepicker-calendar {
	display:none;
}
*/


.ag-fresh .ag-header-select-all {
    padding: 7px 0px 0px 6px;    
}


.count-col {
    text-align: center;
    color: #FFFFFF;
}

.add-no-template-selected,.no-template-selected{
	text-align: center;
    height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.template-delete {
	font-size: 12px;
    font-family: Arial, Helvetica, sans-serif;
    background: red;
    color: white;
    font-weight: bold;
    padding: 4px 10px;
    border-radius: 5px;
    margin-right: 10px;
    margin-bottom: 10px;
    margin-top: 8px;
    border: 1px solid red;
    cursor: pointer;
    background: #69a3db;
    background: -moz-linear-gradient(top, red 1%, red 100%);
    background: -webkit-linear-gradient(top, red 1%,red 100%);
    background: linear-gradient(to bottom, red 1%,red 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='red', endColorstr='red',GradientType=0 );
}
.ag-fresh .ag-header-cell-text {    
    display: inline-block;
    white-space: normal;
    -webkit-line-clamp:2;
    word-wrap: break-word;
}
table tr td.multibutton button{
	width: 80px !important;
}
.ag-body-viewport-wrapper:hover .scroll-left{
    display: block;
}
.scroll-left,.scroll-right {
    position: absolute;
    top: 48%;
    display: none;
    color:#9ebbd5;
}
.scroll-right{
    right: 100px;
    color:#9ebbd5;
}
.ag-body-viewport:hover .scroll-left,.ag-body-viewport:hover .scroll-right{
    display: block;
}
.fa-lg{
    font-size :4.333em;
    color:#9ebbd5;
}
.ms-options-wrap > .ms-options {
    max-width: 275px;
    min-width: 250px;
    width: auto;
}
.ms-options p{
    display:inline-block;
}
.ms-options .closeDropDown{
    margin-top:3px;
    margin-right:5px;
    cursor:pointer;
}
.modal-settings{
	cursor: pointer; 
	font-size: 15px; 
	color: #4e7cc1; 
	display: inline-block; 
	float: right; 
	margin-top: 8px;
	margin-right:25px;
}
.ui-dialog .ui-dialog-titlebar-close{
	font-size:0.0001em;
}
.monthYearOnlyDp .ui-datepicker-calendar {
    display: none;
}
.full-datepicker .ui-datepicker-calendar {
    display: block;
}
.add-new-rule .fa-plus-circle{
	margin-right:5px;
}
.create-tmpl-settings-content, .searchTempl-settings-content{
	position:absolute;
	right:0;
	top:38px;
}
.create-tmpl-settings-content .arrow.top, .searchTempl-settings-content .arrow.top{
	left:235px;
	top: 0;
}
.divider.btn-divider{
	color:#FFFFFF;
	height:25px;
}
.ms-options-wrap > button:focus, .ms-options-wrap > button{
	font-size:11px;
}
.ag-cell .ms-options-wrap > button:focus, .ag-cell .ms-options-wrap > button{
	width:inherit;
	padding-top:2px;
	padding-bottom:2px;
}
.dropdown#search-controls #useTemplate {
	padding-top:1px;
	padding-bottom:4px;
}
.ui-datepicker-trigger{
	height:18px;
	width:20px;
	margin-left:-25px;
	margin-top:4px;
}


.notshow{
	display:none;
}
.ag-cell .ms-options-wrap,.ag-cell .ms-options-wrap .over-flow{
	height:20px !important;
}
.read-only-row.ag-row .ag-selection-checkbox{
	background:#fbe5d5;
}
.ag-fresh .read-only-row-d.ag-row{
	background:#fbe5d5;
}
.read-only-row-d.ag-row .ag-selection-checkbox{
	display:none;
}
.note-right > i {cursor: pointer;}
select[disabled],input[disabled],button[disabled], textarea[disabled]{
	color:red;
	background-color:black;
	font-size:12px;
	opacity:0.2;
}
.font-bold{
	font-weight:bold !important;
}
.ms-options-wrap > .ms-option > ul input[type="checkbox"]{
	margin-right:5px;
	position:absolute;
	font-weight:bold;
	left:2px;
	top:2px;
	transform:scale(1.2);
}
#newRuledialog{
	overflow:hidden;
}
.ag-menu{
	z-index:999;
}
.cfilter-content{
	overflow:auto;
	max-height:220px;
}
.ms-options-wrap > .ms-option > ul label{
	position:relative;
	display:inline-block;
	width:100%;
	padding:4px 4px;
	margin:0px 0;
}
.ms-options-wrap-2 > .ms-option > ul label{
	padding-left:21px;
}
.modal-box {
	display: none;
	position: fixed;
	z-index: 1000;
	width: 98%;
	top:28%;
	background: white;
	border-bottom: 1px solid #aaa;
	border-radius: 4px;
	box-shadow: 0 3px 9px rgba(0, 0, 0, 0.5);
	border: 1px solid rgba(0, 0, 0, 0.1);
	background-clip: padding-box;
}
.modal-box header,.modal-box .modal-header {
	padding:1.25em 1.5em;
	border-bottom:1px solid #ddd;
}

.modal-box header h3,.modal-box header h4,.modal-box .modal-header h3,.modal-box .modal-header h4 { margin: 0; }

.modal-box .modal-body {padding: 2em 1.5em;}

.modal-box footer,.modal-box .modal-footer {
	padding:1em;
	border-top:1px solid #ddd;
	background:rgba(0, 0, 0, 0.02);
	text-align:right;
}
.modal-overlay {
	opacity:0;
	filter:alpha(opacity=0);
	position:fixed;
	top:0;
	left:0;
	z-index:900;
	width:100%;
	height:100%;
	background:rgba(0, 0, 0, 0.3) !important;
}
a.close {
  line-height: 1;
  font-size: 1.5em;
  position: absolute;
  top: 5%;
  right: 2%;
  text-decoration: none;
  color: #bbb;
}
a.close:hover {
  color: #222;
  -webkit-transition: color 1s ease;
  -moz-transition: color 1s ease;
  transition: color 1s ease;
}
.ms-options-wrap button {
    cursor: pointer;
}
.ms-options-wrap-2 li label {
    cursor: pointer;
}
ul[disabled] {
    opacity: 0.4;
    pointer-events: none;
}
img.ui-datepicker-trigger{
	display:none;
}

.fleetCheck
{
	
}

.ag-cell:hover{
/*     background-color: #DEF; */
}

.custom-menu {
    display: none;
    z-index: 1000;
    position: absolute;
    overflow: hidden;
    border: 1px solid #CCC;
    white-space: nowrap;
    font-family: sans-serif;
    background: #FFF;
    color: #333;
    border-radius: 5px;
    padding: 0;
}

/* Each of the items in the list */
.custom-menu li {
    padding: 8px 12px;
    cursor: pointer;
    list-style-type: none;
    transition: all .3s ease;
    user-select: none;
}

.custom-menu li:hover {
    background-color: #DEF;
} 


#repFactFrom_label,#repFactTo_label{width:100%}

/* Custom CSS for Allocation COntrol */
.wid100{width:100%}

.mB3{margin-bottom:3%}
.mB2{margin-bottom:2%}
.mB4{margin-bottom:4%}

.mT1{margin-top:2%}
.mT2{margin-top:2%}
.mT3{margin-top:3%}

.checkBox{text-align: left;width: 90%;margin-bottom: 3%;}
.selectBox{text-align: left; margin: 2% 0 0 5%;width: 90%;}
.fContainer{width:100%}
.selBox1{width: 90%;margin: 3% 1% 2% 0%;font-size: 12px;padding: 1.75px;height: 26px;border-color: #9ebbd5;font-weight: 600;}
.headerLbl{font-size: 15px;font-weight: 600;}
.fRow{width:100%;padding-right:15px;display: inline-block;}
.col8,.col10,.col15,.col16,.col17,.col20,.col25,.col33,.col60,.col70,.col75,.col25,.col30,.col40,.col50,.col80,.col90,.col100{float:left;min-height:1px;}
.col8{width:8%;}
.col10{width:10%;}
.col15{width:15%;}
.col16{width:16%;}
.col17{width:17%;}
.col20{width:20%;}
.col25{width:25%;}
.col30{width:30%;}
.col33{width:33%;}
.col40{width:40%;}
.col50{width:50%;}
.col60{width:60%;}
.col70{width:70%;}
.col75{width:75%;}
.col80{width:80%;}
.col90{width:90%;}
.col99{width:99%;}
.col100{width:100%;}
.ui-widget-content{top:25%}
.ui-dialog-buttonpane{display:none}
.toolTip{cursor: pointer; position: relative}
.tooltxt{display:none}
.toolTip:hover + .toolTxt{border: 1px solid grey;display:block;padding: 5px 10px;margin: 0;border-radius: 3px;background: grey;color: white;z-index: 2;position: absolute;}
.a1 {color: #4e7cb0 !important;text-decoration: underline;}
.datePickerRange{width: 62%;height: 20px;font-size: 11px;margin-left: 0.5%;margin-top: 2.5%;border: 1px solid #9ebbd5;font-weight: normal;padding-left: 5px;}
.ui-widget-header {background: #4e7cb0;border: none;border-radius: 0;color: white;}
#allocOrderYr_label,#allocOrderMonth_label,#allocSuperSeries_label,#allocUseAllocation_label,#allocProgramCode_label{width:70%}
/* #loadingNew {position: fixed;display: block;width: 100%;top: 25%;left: 0;text-align: center;background-color: transparent;z-index: 999;} */
#loading-image { position: absolute;z-index: 1000;}
#loadingNew{position: absolute;height: 972px; width: 100%;display: block; top: 25%; z-index: 1000000;}
.ui-widget-content {padding: 0;border-radius: 0;}
.ui-button-icon-only .ui-icon {margin-left: -8px;margin-top: -9px;}

/* Custom CSS*/
.w4{width: 4%;padding: 5px;border: 1px solid;}
.w5{width: 5%;padding: 5px;border: 1px solid;}
.w6{width: 6%;padding: 5px;border: 1px solid;}
.w35{width: 35%;padding: 5px;border: 1px solid;}
.w7{width: 7%;padding: 5px;border: 1px solid;}
.w15{width: 15%;padding: 5px;border: 1px solid;}
.w8{width: 8%;padding: 5px;border: 1px solid;}

.w250{width: 250px;padding: 5px;border: 1px solid;}

.container {position: relative;display: flex;align-items: flex-start;width:100%}
.table-center {overflow-x: scroll;border-collapse: collapse;}
.table-left,.table-right {border-collapse: collapse;}
.bd1{border: 1px solid #eeeeee;}
.padTh{padding: 13px 0;}
th,td {padding: .5em 1em;}
.tble-H{background: #4e7cb0;color: white;} 
.r1{background: #eeeeee;}
.ag-fresh .ag-overlay-no-rows-center { background-color: #fff;border: 1px solid #808080;border-radius: 10px;padding: 10px;font-size: 15px;}
.disable-cell{background-color: #f8f6f6;cursor: not-allowed;color: #cabdbd;}
.wht-cell { background-color: white;border-left: 1px solid lightgrey !important;  border-right: 1px solid lightgrey !important;border-bottom: 1px solid lightgrey !important;}
.red-cell { background-color: red;color:white !important; border-left: 1px solid lightgrey !important;  border-right: 1px solid lightgrey !important;border-bottom: 1px solid lightgrey !important;}
.grey-cell { background-color: #eeeeee;border-left: 1px solid lightgrey !important;border-right: 1px solid lightgrey !important;border-bottom: 1px solid lightgrey !important;}
/* .grey-cell { background-color: #f9f0f0;border-left: 1px solid lightgrey !important;border-right: 1px solid lightgrey !important;border-bottom: 1px solid lightgrey !important;} */
.ag-cell-value{border: 1px solid #f6d6d6 !important;}
.ag-header-cell-label {justify-content: center;}

.pad10{padding:10px}
.pad7{padding:7px}
.rowbg2{background: #eeeeee;}
.border-btm{border-bottom: 1px solid grey;}
.map-descHead{background: #5f7c9c;color: white;border-top-right-radius: 5px;}

/* google map css */
/* 
 * Always set the map height explicitly to define the size of the div element
 * that contains the map. 
 */
/*  #map {height: 90%;width: 100%;margin: auto;} */
/* :root { --car-color: #558B2F;} old red color */
:root{ --car-color: #4a8fce}

.property {
    align-items: center;
    background-color: #FFFFFF;
    border-radius: 50%;
    color: #263238;
    display: flex;
    font-size: 14px;
    gap: 15px;
    height: 30px;
    justify-content: center;
    padding: 4px;
    position: sticky;
	/*position: relative;*/
    transition: all 0.3s ease-out;
    width: 30px;
  }
  
  .property::after {
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 9px solid #FFFFFF;
    content: "";
    height: 0;
    left: 50%;
    position: absolute;
    top: 95%;
    transform: translate(-50%, 0);
    transition: all 0.3s ease-out;
    width: 0;
    z-index: 1;
  }
  
  .property .icon {
    align-items: center;
    display: flex;
    justify-content: center;
    color: #FFFFFF;
  }
  
  .property .icon svg {
    height: 20px;
    width: auto;
  }
  
  .property .details {
    display: none;
    flex-direction: column;
    flex: 1;
  }
  
  .property .description {
    color: black;
    font-size: 12px;
    margin-bottom: 10px;
    margin-top: 5px;
  }
  
  .property .features-row1 {
    align-items: flex-end;
    display: flex;
    flex-direction: row;
    gap: 10px;
  }

  .property .features-row2 {
    align-items: flex-end;
    display: flex;
    flex-direction: row;
    gap: 10px;
  }
  
  .property .features-row1 > div {
    align-items: center;
    background: #F5F5F5;
    border-radius: 5px;
    border: 1px solid #ccc;
    display: flex;
    font-size: 12px;
    gap: 5px;
    padding: 5px;
    margin-top: 4px;
  }

  .property .features-row2 > div {
    align-items: center;
    background: #F5F5F5;
    border-radius: 5px;
    border: 1px solid #ccc;
    display: flex;
    font-size: 12px;
    gap: 5px;
    padding: 5px;
    margin-top: 4px;
  }
  
  /*
   * Property styles in highlighted state.
   */
  .property.highlight {
    background-color: #FFFFFF;
    border-radius: 8px;
    box-shadow: 10px 10px 5px rgba(0, 0, 0, 0.2);
    height: 230px;
    padding: 8px 15px;
    width: 150%;
    padding-right: 5px;
  }
  
  .property.highlight::after {
    border-top: 9px solid #FFFFFF;
  }
  
  .property.highlight .details {
    display: flex;
  }
  
  .property.highlight .icon svg {
    width: 50px;
    height: 50px;
  }

  .property.highlight:has(.fa-car) .icon {
    color: var(--car-color);
  }

  .property:not(.highlight):has(.fa-car) {
    background-color: var(--car-color);
  }

  .property:not(.highlight):has(.fa-car)::after {
    border-top: 9px solid var(--car-color);
  }
  
  

.wht-bg{background-color: white}
.grey-bg{background-color: #eeeeee !important;}
/* .grey-bg{background-color: #f9f0f0fa !important;} */
.ag-header-cell-text { padding: 10px 5px !important;text-align: center;}
.ag-cell {align-items: left;justify-content: left;display: grid;}
.rangeText{width: 75%;border: 1px solid #9ebbd5;color: black;padding: 5px 20px 5px 5px;margin-top: 4%;height:14px;font-size: 12px;font-weight: 600;}
.btn-sub{font-size: 12px !important;font-family: Arial, Helvetica, sans-serif;color: #fff !important;font-weight: bold !important;padding: 4px 10px;border-radius: 5px;margin-right: 10px; margin-bottom: 10px;margin-top: 8px;border: 1px solid #70a8da;cursor: pointer;background: linear-gradient(to bottom, #69a3db 1%,#468dcc 100%);}
.btn-reset{font-size: 12px;font-weight: bold;}
.mb1{margin-bottom: 1%}
.mb2{margin-bottom: 2%}
.fw600{font-weight: 600;}
.pad0{padding: 0px}
.tAlignEnd{text-align: end;}
.archTblHeader{ background: #4e7cb0;color: #fff;font-weight: bold;padding: 6px 14px;}
.archIcon{height:20px;border:none;margin-bottom:0px;cursor:pointer;vertical-align: middle;}
.archLink{color: #4e7cb0 !important;cursor: pointer;}
.archAuthor{}
.archCreatedOn{}
.showArch{float: left;margin-left: 2%;padding: 2% 0;color: #4e7cb0;cursor: pointer;}
.archiveTBlOld{width:100%; height: 300px;overflow-y: scroll;display: inline-block;}
.iconALink{padding: 10px;text-decoration: none;}

.subBtn{font-size: 12px;font-family: Arial, Helvetica, sans-serif;background: #4e7cc1;color: #fff;font-weight: bold;padding: 4px 10px;border-radius: 4px;margin-right: 10px;margin-bottom: 10px;border: 1px solid #70a8da;cursor: pointer;background: #69a3db;background: -moz-linear-gradient(top, #69a3db 1%, #468dcc 100%);background: -webkit-linear-gradient(top, #69a3db 1%,#468dcc 100%);background: linear-gradient(to bottom, #69a3db 1%,#468dcc 100%);filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#69a3db', endColorstr='#468dcc',GradientType=0 );}

#loadingNew {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 100; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0,0,0,0.2); /* Black w/ opacity */
    -webkit-animation-name: fadeIn; /* Fade in the background */
    -webkit-animation-duration: 0.4s;
    animation-name: fadeIn;
    animation-duration: 0.4s
}

.dealerSearchFilters{
	font-size: 16px;
	padding: 6px;
}

.searchRow{ background:#eeeeee87; border: 1px;margin-bottom: 2%;width: 95%; padding: 10px; }
.searchRow td {padding:4px;}	
.searchRow1 {background:#ffffff;  border: 1px;margin-bottom: 2%;width: 95%; padding: 10px; }
.searchRow1 td {padding:4px;}
.acticeBox{box-shadow: 5px 2px 5px -1px #cbbebe;background: #ebfea27d !important;}

#dealerGrid {
  display: inline-block;
  max-height: 520px;
  overflow-y:auto;
  overflow-x:clip;
}

.dealerName{font-weight: bold; color: #66a1da; font-size: 1rem; margin-bottom: 2%;border-bottom: 2px solid #cfb9b930 ;padding-bottom: 3%;}
.bdrTop{border-top: 2px solid #cfb9b930;    padding: 2% 0 0;}
.lFloat{float: left}
.rFloat{float: right}
.noADecor{text-decoration: none;}
.mR0{margin-right: 0;}
/* ##cfb9b9 */
hr.rounded{border-top: 5px solid #bbb; border-radius: 10px;margin-right: 8%;}
/* 
.zipFilterLabel{
	display: block;
	padding: 2px 9px;
    margin-left: 12px;
    background-color: #eeeeee;
    position: absolute;
    margin-top: 35px;
} */

::-webkit-scrollbar {
    width: 0px;
    background: transparent; /* make scrollbar transparent */
}
.sideBar{box-shadow: 1px 1px 3px 2px #c1b2b2;padding: 5px 10px;width: 23%;margin-right: 1%;display:none}
.mapSection{box-shadow: 1px 1px 3px 2px #c1b2b2;padding: 5px 10px;width: 73%;display:none}
.headerText{color: #4e7cc1;margin: 0px;display: inline-block;font-size: 2rem;}
.headerFilter{padding: 15px 0px;width: 99%;border-bottom: 2px solid #ebdfdf;}
.boxMargin{font-size: 14px;margin: 2% 1% 4%;}
.boxMargin1{font-size: 14px;margin: 1%;width: 48%}
.noRecordSec{font-size: 16px; text-align: center;margin: 5% 0;}
.boxHeader{font-size: 15px;font-weight: 600;}
.map-marker-label {color: black;font-family: ToyotaFontSemiBold, Arial, Helvetica, sans-serif;font-size: 15px;left: 0;position: absolute;text-align: center; top: 10px; width: 40px; font-weight: 600;}